#include <vector>
#include <stdlib.h>



namespace OpenSim{
    class Body;
    class Model;
    class PinJoint;
    class Millard2012EquilibriumMuscle;


}


namespace SimTK{   
    class State;
}


class OpenSimPendulum {

public:
OpenSimPendulum( int numberOfLinks,
                 bool verboseMessages);


void calcOpenSimPendulumStateDerivative(
             double time,
             const std::vector< double >& generalizedPositions,
             const std::vector< double >& generalizedVelocities,
             const std::vector< double >& muscleActivations,
             std::vector< double >& generalizedAcceleration,
             bool verboseMessages);

private:
    SimTK::State* modelState;
    OpenSim::Model* model;

    std::vector< OpenSim::Body* > bodyVector;
    std::vector< OpenSim::PinJoint* > jointVector;
    std::vector< OpenSim::Millard2012EquilibriumMuscle* > muscleVector;

    int numberOfPendulumLinks;
};
