#include "OpenSimPendulum.h"
//#include "csvtools.h"
#include <iostream>
#include <vector>

int main(){
    try{


            int numOfLinks = 1;
            OpenSimPendulum mdlPendulum(numOfLinks,
                                            true);


            double time = 0.0;
            std::vector<double> generalizedPositions(numOfLinks);
            std::vector<double> generalizedVelocities(numOfLinks);
            std::vector<double> generalizedAccelerations(numOfLinks);
            std::vector<double> muscleActivations(numOfLinks);

            for(int i=0; i<numOfLinks;++i){
                generalizedPositions.at(i)      = 0.0;
                generalizedVelocities.at(i)     = 0.0;
                generalizedAccelerations.at(i)  = 0.0;
                muscleActivations.at(i)         = 1.0;
            }


            mdlPendulum.calcOpenSimPendulumStateDerivative(
                                time,
                                generalizedPositions,
                                generalizedVelocities,
                                muscleActivations,
                                generalizedAccelerations,
                                true);



    }catch(const std::exception& e) {
        std::cout << "EXCEPTION: createOpenSimPendulum: "
                  << e.what() << std::endl;
        return 0;
    }

    return 1;

}
